<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__touch__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_touch_t</compoundname>
    <includes local="no">cy_capsense_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__touch__t_1a41f4181caf21c8cc60825a4c88a952c6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__position__t">cy_stc_capsense_position_t</ref> *</type>
        <definition>cy_stc_capsense_position_t* cy_stc_capsense_touch_t::ptrPosition</definition>
        <argsstring />
        <name>ptrPosition</name>
        <briefdescription>
<para>Pointer to the array containing the position information. </para>        </briefdescription>
        <detaileddescription>
<para>A number of elements is defined by numPosition. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="132" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="132" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__touch__t_1a06915bc608b7177c425659ab61d38513" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_touch_t::numPosition</definition>
        <argsstring />
        <name>numPosition</name>
        <briefdescription>
<para>Total number of detected touches on a widget: </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>0 - no touch is detected</para></listitem><listitem><para>1 - a single touch is detected</para></listitem><listitem><para>2 - two touches are detected</para></listitem><listitem><para>3 - three touches are detected</para></listitem><listitem><para>CY_CAPSENSE_POSITION_MULTIPLE - multiple touches are detected and information in position structure should be ignored. </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="134" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="134" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Declares touch structure used to store positions of Touchpad, Matrix buttons and Slider widgets. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="229">
        <label>cy_stc_capsense_position_t</label>
        <link refid="structcy__stc__capsense__position__t" />
      </node>
      <node id="228">
        <label>cy_stc_capsense_touch_t</label>
        <link refid="structcy__stc__capsense__touch__t" />
        <childnode refid="229" relation="usage">
          <edgelabel>ptrPosition</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="142" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="130" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="131" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__touch__t_1a06915bc608b7177c425659ab61d38513" virt="non-virtual"><scope>cy_stc_capsense_touch_t</scope><name>numPosition</name></member>
      <member prot="public" refid="structcy__stc__capsense__touch__t_1a41f4181caf21c8cc60825a4c88a952c6" virt="non-virtual"><scope>cy_stc_capsense_touch_t</scope><name>ptrPosition</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>